Bug 1380644 - --capsule-puppet false doesnt work
Summary: --capsule-puppet false doesnt work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-30 08:53 UTC by Sean O'Keeffe
Modified: 2019-08-12 16:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16751 None None None 2016-09-30 09:16:55 UTC

Description Sean O'Keeffe 2016-09-30 08:53:07 UTC
Description of problem:
Installing a capsule and append the following to the install line:
--foreman-proxy-puppetca false\
-capsule-puppet false

This fails.

Version-Release number of selected component (if applicable):
6.2.2

How reproducible:
100%


Steps to Reproduce:
1. install capsule with --capsule-puppet false and --foreman-proxy-puppetca false 
2.
3.

Actual results:
 Proxy capsule.sokeeffe.com cannot be registered (422 Unprocessable Entity): Unable to communicate with the Capsule: ERF12-2530 [ProxyAPI::ProxyException]: Unable to detect features ([Errno::EHOSTUNREACH]: No route to host - connect(2) for "capsule.sokeeffe.com" port 9090) for Capsule https://capsule.sokeeffe.com:9090/features Please check the Capsule is configured and running on the host.
 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[capsule.sokeeffe.com]/ensure: change from absent to present failed: Proxy capsule.sokeeffe.com cannot be registered (422 Unprocessable Entity): Unable to communicate with the Capsule: ERF12-2530 [ProxyAPI::ProxyException]: Unable to detect features ([Errno::EHOSTUNREACH]: No route to host - connect(2) for "capsule.sokeeffe.com" port 9090) for Capsule https://capsule.sokeeffe.com:9090/features Please check the Capsule is configured and running on the host.
 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[capsule.sokeeffe.com]: Failed to call refresh: Proxy capsule.sokeeffe.com cannot be registered (ApipieBindings::MissingArgumentsError: id): N/A
 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[capsule.sokeeffe.com]: Proxy capsule.sokeeffe.com cannot be registered (ApipieBindings::MissingArgumentsError: id): N/A
 Could not start Service[httpd]: Execution of '/usr/share/katello-installer-base/modules/service_wait/bin/service-wait start httpd' returned 1: Redirecting to /bin/systemctl start  httpd.service
 /Stage[main]/Apache::Service/Service[httpd]/ensure: change from stopped to running failed: Could not start Service[httpd]: Execution of '/usr/share/katello-installer-base/modules/service_wait/bin/service-wait start httpd' returned 1: Redirecting to /bin/systemctl start  httpd.service
Installing             Done                                               [100%] [...............................................................................................................................]
  Something went wrong! Check the log for ERROR-level output
  The full log is at /var/log/foreman-installer/capsule.log
[root@capsule ~]#

Expected results:
this to work

Additional info:

Comment 2 Bryan Kearney 2016-10-12 20:09:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16751 has been resolved.

Comment 4 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.